#ifndef _SERVER_H_
#define _SERVER_H_


#define BUF_LEN 0x1000
#define BACKLOG 2
#define PORT 25 

#define PATH_SPAMLOG "/var/log/spam.log"
#define PATH_DENY "deny.sh"

#if !defined(MAXHOSTNAMELEN)
#define MAXHOSTNAMELEN 64
#endif
#if !defined(ACCESSPERMS)
#define ACCESSPERMS 0766
#endif
#if !defined(MAP_FAILED)
#define MAP_FAILED ((void *) 0xffffffff)
#endif
#if !defined(TRUE)
#define TRUE 1
#endif
#if !defined(FALSE)
#define FALSE 0
#endif
#define FAIL -1

//#define DEBUG

#ifdef DEBUG
#define show(s) fprintf(stdout,"Debug : %-12s Line %5d %s\n",\
                        __FILE__, __LINE__, (s));         \
                        fflush(stdout)
#else
#define show(s)
#endif

#define CP (char *)
#define SSAP (struct sockaddr *)
#define SLP  (struct link *)

#define ERRORS(e) { \
        fprintf(stderr, "Error from %s, line %d, %s\n", \
        __FILE__, __LINE__, strerror(e));           \
        exit(EXIT_FAILURE);                             \
}

#endif

